Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const browser = require('@sentry/browser');
const core = require('@sentry/core');

/**
 * Initializes the client-side of the Nuxt SDK
 *
 * @param options Configuration options for the SDK.
 */
function init(options) {
  const sentryOptions = {
    /* BrowserTracing is added later with the Nuxt client plugin */
    defaultIntegrations: [...browser.getDefaultIntegrations(options)],
    ...options,
  };

  core.applySdkMetadata(sentryOptions, 'nuxt', ['nuxt', 'vue']);

  return browser.init(sentryOptions);
}

exports.init = init;
//# sourceMappingURL=sdk.js.map
