Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const core = require('@sentry/core');

// The vue integration is actually set up in the Sentry Client Module. There it is set up as soon as the nuxt app object is available.
// However, we need to export the vueIntegration from the Client SDK. This means all this integration does is store away
// its options for the Sentry Client Module to pick them up when initializing the actual vueIntegration.

/**
 * Add additional error and span instrumentation specialized for Vue.
 */
const vueIntegration = core.defineIntegration((options = {}) => {
  return {
    // NOTE: This name is different from the original vueIntegration's name.
    name: 'NuxtVueIntegration',
    setup() {
      (core.GLOBAL_OBJ )._sentryNuxtVueIntegrationOptions = options;
    },
  };
});

exports.vueIntegration = vueIntegration;
//# sourceMappingURL=vueIntegration.js.map
